I hate installing eclipse.

I’ve got a problem and none of the online solutions seem to work. I can’t install any modules. Or rather the tool that allows me to install them won’t display. So I am left with the reinstallation of eclipse.

Eclipse is one of those wonderful open-source IDE’s that has broken the shackles of singular development environment and now does anything you can imagine – pretty much like NetBeans and the IDE that comes out of Redmond.

However the Eclipse developers can take a lesson from the Redmond developers. First make a tiny installer that is about 2mb in size. Then have that display a wizard that asks question such as: Check the boxes of the languages you would like to develop in (I’d tick Java, Python and HTML). Please check the boxes of the databases you like to connect to (I’d tick MySQL and SQL Server). Please select your Source Control (I’d select Subversion).

What so difficult about that. Any time I try to upgrade anything in Eclipse I always get the “This needs org.tools.eclipse.acronyms.128.2586.20945.20070923”.  Where is that located?  If it was so bloody important ask me if I want to add that to the download!!!

NetBeans doesn’t have these problems and it looks nicer, but isn’t (or rather wasn’t – it’s been a couple of years) as quick.